Kerbal Space Program - Bug #2520

Under some conditions, parts act like they are rubber, instead of breaking as they should
Description

| saw this bug twice in a short period of time.

In the first occurrence, | was trying to dock a fuel tanker with another ship, and | realized the mass of my #2 stage was making
docking difficult, so | clicked on the decoupler, and told it to decouple... It was the TR-38-D decoupler. The decoupler was mated to
the bottom of the LV-N atomic rocket motor. To prevent the mismatches stage junction from crushing the motor, | added a cage of
struts from the decoupler to the fuel tank above the engine. When | triggered the decoupler, the decouple action occurred as one
might expect, but the struts did not detach. Instead, the struts acted like rubber bands, and remained attached to the decoupler as it
went over the horizon. To break the struts, | had to trigger the staging with the space bar, and in the process the struts dissapeared
normally.

In the second occurrence, | was de-orbiting a tanker ship that had a design that didn't work well. As | decelerated it's orbit to cause it
to fall into the planet, | decided to make the rocket tumble as it was glowing red during reentry. As the ship tumbled, | fired the
engine, and hit the warp... a stack of 5 SAS modules started reacting to the tumble, and rather than simply shake the ship, or even
break off due to stress, the nose of the rocket bent back a full 180 degrees, and flopped back and forth as the SAS units attempted to
counter the forces of the tumble. Again, it looked like the ship was made of rubber.

This is a fresh 0.23.5 installation, the only mod added is mechjeb. | am running in sandbox mode, and no cheats were active during
the time of these events. | tried to recreate the events while deorbiting other similar ships, but | didn't have any built with the same
features as what | saw stretch, so | will need to re-create the events with the same type of ship to grab screen shots.

Related issues:
Is duplicate of Kerbal Space Program - Bug #2346: TR-38-D decoupler does not ... Closed 04/04/2014

History

#1 - 06/15/2014 04:47 AM - keoki
- File before.png added
- File bentnose.png added

Ok, so | was able to recreate my earlier reported events, but it took several tries to get the original event to happen in a way | could screenshot it. The
tumbling reentry with the bent nose was difficult to reproduce with the 180 degree bend AND grap the picture, the best | got after several tries was
about a 30 degree bend, When | got better than 90 degree bends, | never got the screen capture at the right moment. The struts stretch was easier
to reproduce, but it was different than the original in that | did not get a complete separation... But what | did discover in the 4th attempt was that | can
decouple the same decoupler twice, the first time decouples the decoupler, the second time explodes the struts. But | did get some good screenshots
of clearly "wrong" behavior...

Attaching bentnose here, will attach struts to the next update.

#2 - 06/15/2014 04:50 AM - keoki
- File struts ok.png added

- File rubberstrut.png added

- File struttin to infinity.png added

Rubber struts...

#3 - 06/15/2014 11:37 AM - keoki

05/19/2024 1/3




- File sassy sas.png added

So | recreated the strut event again, and attached a picture | got as | zoomed out along the outstreatched struts, and saw something else spinning
madly... It was an SAS unit that had been in the decoupled stack. The interesting thing about this SAS unit is that it is powered up and reacting to
movements of the ship, as if it is still part of the ship. The SAS unit is drawing power from the ship, and responsive to the flight controls of the ship.

So | see several related anamolies related to this "bug" here...

1. Rubber-like parts that bend and strech rather than act solid

2. A decoupler that explodes and ejects on the first "decouple” command, and actually decouples only on the /second/ decouple command, when
struts are attached to it. It appears to act more normally when no struts are used, but my guess is it still thinks it is attached.

3. parts ejected by the decoupler on the first decouple command act as if they are still connected to the ship, drawing power and responding to
commands, engines can be fired up, and fuel can be transfered across the gap.

4. An engine forward of the separation gap can send fire through the functional engine trailing the gap, but no damage is apparent from the flames
shooting completely through fuel tanks and a idle rocket motor.

#4 - 06/15/2014 11:45 AM - keoki

Oh, and | mis-reported the tumble sequence.

While my engines were powered down, | triggered a tumble by using the smartass, and alternately selecting prograde and retrograde orientation.
During the tumble I hit the warp, while glowing red during re-entry. During the warp and tumble | fired the engines, and THEN saw the nose of the
ship appeared gone, and as it rolled past, | saw the nose was bent into a U shape, with a full 180 degree rotation from the body of the ship, and the
surface texture was streched, and looked quite "rubbery".

So warp came before firing up the engine, the warp cannot occur if the engines are fired up first.

| don't think any of this is very useful, | just didn't want to imply there was a bug in the warp letting me warp while throttled up... The bug there would
be that the engines can be powered up while in warp.

#5 - 06/15/2014 11:56 AM - keoki

One final image, my ship fired it's engines long enough to deorbit and fall to 700m. The decoupler is still at 75,000 meters in orbit, and struts are still
attached, and hold until impact with the water.

As the decoupler and rocket tumble, both are "sliced" up by the struts that just won't let go, but of course there is no damage.
#6 - 06/16/2014 07:56 PM - hfbs

- Status changed from New to Duplicate

- % Done changed from 0 to 100

Yep, that's a side effect of using the big decoupler as it's physicsSignificance is set to 1. This would appear to be a duplicate of
http://bugs.kerbalspaceprogram.com/issues/2346 and it's the same fix - comment out or delete that line in the parts cfg.

#7 - 06/16/2014 10:56 PM - keoki

Ok, | see this was tagged as a duplicate, sorry about that, | tried to hunt for similar bugs, but none | saw looked like this one, so my search wasn't
exhaustive enough. | was actually surprised | didn't find it, but | wasn't looking with the right keywords.

| see | was able to violate some of the reproduction "rules" for the bug, but clearly it is the same bug. | did get some observations not consistent with
the other bug, but all it really means is | found another way to reproduce it. But | agree, this is the same bug as 2346.

Sounds like a solid fix. It also may explain several other bugs I'm seeing, so I'll go comment out that line and see if the others clear up as well. I'm
glad | didn't already submit the others.

So | don't see an obvious way to close this, so | assume the workflow for that is on the developer side. | don't know if you close this, or merge it into
the other report. The other report gave me some clues as to how | should do a better bug report in the future.

Thanks.

#8 - 07/09/2015 09:50 PM - Squelch
- Is duplicate of Bug #2346: TR-38-D decoupler does not separate correctly added
